/*
	fldpriv.h

	% private header for fields

	C-scape 3.1
	Copyright (c) 1986-1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/28/88 jmd	reorganized headers
*/

#define CS_INPUT ((char) 2)

#define RECPADCHAR ' '
#define MRGPADCHAR ' '

extern 	field_type 	field_Open(_arg3(char *, int, int));

extern	boolean field_Ok(_arg1(field_type));

extern 	void 	field_Close(_arg1(field_type));

extern 	char 	field_PullRight(_arg2(field_type, int));
extern 	char 	field_PullLeft(_arg2(field_type, int));
extern 	char 	field_PushRight(_arg3(field_type, int, char));
extern 	char 	field_PushLeft(_arg3(field_type, int, char));

#define field_InitData(field, d, no) 	(field->data[no] = d)

#define field_IncGCol(field) (((field)->gcol)++)
#define field_SetGCol(field, count) ((field)->gcol = (count))
#define field_SetRight(field, r) ((field)->right = (r))
#define field_SetLeft(field, l) ((field)->left = (l))

#define field_SetWidth(field, w) ((field)->width = (w))

#define field_DecGCol(field) (((field)->gcol)--)
#define field_SetRow(field, r) ((field)->row = (r))
#define field_SetCol(field, c) ((field)->col = (c))

#define field_SetRegAttr(field, attr) ((field)->reg = (attr))
#define field_SetSelAttr(field, attr) ((field)->sel = (attr))
