/*
	fsymdecl.h

	% function symbol header

	C-scape 3.1
	Copyright (c) 1986-1989, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 4/21/89 jdc	rewrote for non-global fsymlists
	 4/23/89 jdc	added ox and user functions
	 4/24/89 jdc	added handle pass back in fsym_FindName
	 4/30/89 jmd	renamed AX stuff
	 5/28/89 jdc	added var type stuff
	 7/15/89 ted	Soved VOID_FPTR to oakland.h.
	 7/15/89 ted	Split the fptr in fsyminit_struct into fptr and dptr.
	 7/22/89 jdc	added fsym_FindNameFunc, fsym_FindNamePtr
	 8/13/89 jdc	split into winfsym.h
*/

extern fsyminit_struct def_fsyminit_list[];

extern boolean		fsym_Init(_arg2(fsyminit_struct *, oslist_type *));

#define	FSYM_DATASIZE			sizeof(VOID_FPTR)
#define	FSYM_LIST_START_SIZE	4
#define FSYM_CHAR				'$'

#define FSYM_LISTEND			NULL, FNULL, NULL
#define FSYM_FIELDFUNCS			"$0", FNULL, NULL
#define FSYM_MOVEMETHOD			"$1", FNULL, NULL
#define FSYM_AUX				"$2", FNULL, NULL
#define FSYM_SPECIAL			"$3", FNULL, NULL
#define FSYM_TYPENFFUNCS		"$4", FNULL, NULL	/* variable type and fieldfuncs */

#define FSYM_EXPLODE			"$5", FNULL, NULL
#define FSYM_BORDER				"$6", FNULL, NULL
#define FSYM_MOUSE				"$7", FNULL, NULL
#define FSYM_FONT				"$8", FNULL, NULL

#define FSYM_USER				"$9", FNULL, NULL
#define FSYM_CLASS				"$10", FNULL, NULL

/*
 	WIN_FSYM_COUNT, SED_FSYM_COUNT, TOT_FSYM_COUNT	"winfsym.h"
	FSYM_EX, FSYM_BD, FSYM_MS, FSYM_FT
*/

#define FSYM_FF					0
#define FSYM_MM					1
#define FSYM_AX					2
#define FSYM_SP					3
#define FSYM_TY					4

#define FSYM_US					SED_FSYM_COUNT + WIN_FSYM_COUNT
#define FSYM_CS					SED_FSYM_COUNT + WIN_FSYM_COUNT + 1

