/*
  	sdgetclr.c

	% sed_GetColors

	C-scape 3.1
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/24/89 jmd	added sed_ macros, removed sed back.
*/

#include "sed.h"

void sed_GetColors(sed, fore, back, high)
	sed_type sed;
	byte *fore, *back, *high;
{
	cs_Assert(sed_Ok(sed), CS_SD_GC_SED, 0);
	cs_Assert(fore != NULL && back != NULL && high != NULL, CS_SD_GC_PTR, 0);

	*fore = sed_GetRegAttr(sed);
	*high = sed_GetSelAttr(sed);

	*back = win_GetAttr(sed);
}
