/*
	sdnamvar.c

	% sed_GetNameVar, sed_SetNameVar

	C-scape 3.1
	Copyright (c) 1986-1989, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#include "sed.h"

VOID *sed_GetNameVar(sed, name)
	sed_type sed;
	char *name;
{
	int fld;

	if ((fld = sed_GetNameNo(sed, name)) < 0) {
		return(NULL);
	}
	return(sed_GetVar(sed, fld));
}

boolean sd_setnamevar(sed, name, var)
	sed_type sed;
	char *name;
	VOID *var;
{
	int fld, len;

	if (var == NULL || (fld = sed_GetNameNo(sed, name)) < 0) {
		return(FALSE);
	}
	if ((len = sed_GetVarSize(sed, fld)) > 0) {
		memcpy(sed_GetVar(sed, fld), var, len);
	}
	return(TRUE);
}

