/*
	sdwinimo.c	12/12/88

	% Sed mouse request handler function
	By Ted.

	C-scape 3.1
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 2/07/89 jmd	Removed bordobj.h
	 2/08/89 jmd	Removed void from function definition
	 8/08/89 jmd	moved most everything to sdwin
*/

#include "sed.h"
#include "sedwinod.h"
#include "winobj.h"

OSTATIC objreq_func (sdwinreq_mouse);

void sedwin_MouseInit()
{
	sdwinreq_mousefptr = sdwinreq_mouse;
	win_MouseInit();
}

int sdwinreq_mouse(objdata, msg, indata, outdata)
	VOID *objdata;
	int msg;				/* message */
	VOID *indata;			/* message input data */
	VOID *outdata;			/* message output data */
{
	int row, col;
	sed_type sed;

	oak_notused(outdata);

	switch(msg) {
	case WINM_SCROLLREQ:
		/* A request to scroll the sed */
		sed = sedod_GetSelf(((sedwin_od *)objdata));
		row = ((opoint *)indata)->y / win_GetFontHeight(sed);
		col = ((opoint *)indata)->x / win_GetFontWidth(sed);

		if (row < 0) {
			sed_ScrollUp(sed, -row);
		}
		else if (row > 0) {
			sed_ScrollDown(sed, row);
		}

		if (col < 0) {
			sed_ScrollLeft(sed, -col);
		}
		else if (col > 0) {
			sed_ScrollRight(sed, col);
		}
		return(TRUE);
	}
	return(FALSE);
}

