/*
	sdgetsiz.c

	% sed_GetSize

	C-scape 3.1
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 7/07/88 jmd	added sed_GetXXX macros
*/

#include "sed.h"

void sed_GetSize(sed, hgt, wid)
/*                                        
	requires:   sed object.

	effects:    gets the size of the given sed, and returns it in hgt 
				and wid.
*/
	sed_type sed;
	int *hgt, *wid;
{
	*hgt = sed_GetHeight(sed);
	*wid = sed_GetWidth(sed);
}
