/*
	sfile.h

	% sfile header (public stuff)

	C-scape 3.1
	Copyright (c) 1986-1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	---------------------
	 4/21/89 jdc	rewrote for non-global fsymlists
	 4/25/89 jdc	changed fsym macros to sfile macros
	 4/30/89 jmd	renamed AX stuff
	 6/01/89 jdc	changed arg order
	 6/04/89 jdc	renamed file_buf to cs_sfilebuf
	 6/08/89 jmd	split into two headers
	 6/21/89 jmd	added alloc flag to sfile_Load, moved sed_Alloc to seddecl
	 7/22/89 jdc	put file buffer into sfile_struct
	 8/02/89 jdc	added strnewlclip definition
	 8/11/89 jdc	split into sfilewin.h
*/

#include "winsfile.h"
#include "fsymdecl.h"

/*** flags for sfile_LoadSed ***/

#define	SED_ALLOC	0
#define	SED_NOALLOC	1

/* these functions call sedwin_Init */
extern sed_type		sfile_LoadSed(_arg3(sfile_type, char*, boolean));
extern boolean		sfile_SaveSed(_arg3(sfile_type, sed_type, char*));

extern menu_type	sf_loadmenu(_arg1(sfile_type));
extern boolean		sf_savemenu(_arg2(sfile_type, menu_type));

extern char *		ufunc_FindUserName(_arg2(obj_type, sfile_type));
extern int		 	sfile_PutFieldFunc(_arg4(sfile_type, char *, field_funcs_ptr, char*));
extern char *		sfile_GetFieldFuncType(_arg2(sfile_type, int));

#define menu_GetFieldFuncType(m, sf, fn)	\
		oslist_Get((sf)->oslist_array[FSYM_TY], ia_Get((m)->functypea, fn))

#define menu_PutFieldFuncType(m, sf, ty)	\
		oslist_Put((sf)->oslist_array[FSYM_TY], ty, NULL)

#define menu_GetVarName(m, fn)				\
		oslist_Get((m)->dptrlist, ia_Get((m)->varnamea, fn))

#define menu_PutVarName(m, vn)				\
		oslist_Put((m)->dptrlist, vn, NULL)

#define menu_SetFieldFuncTypeHandle(m, fn, h)	ia_Put((m)->functypea, fn, h)
#define menu_SetVarNameHandle(m, fn, h)			ia_Put((m)->varnamea, fn, h)


