/*
	tbpriv.h

	% private header for text buffer object

	C-scape 3.1
	Copyright (c) 1986-1988 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/28/88 jmd	removed startsize form tb_Open, reorganized
	05/23/89 jdc	made tb_setcursor menu_setcursor
*/

/*** Functions ***/

extern 	tb_type tb_Open(_arg1(void));
extern 	tb_type tb_setup(_arg1(tb_type));
extern 	boolean tb_Ok(_arg1(tb_type));
extern  void 	tb_Close(_arg1(tb_type));
extern	int		tb_FindLine(_arg2(tb_type, int));
extern	int		tb_GetRow(_arg1(tb_type));
extern 	unsigned int tb_GetCursor(_arg1(tb_type));

extern	int 	tb_strattr(_arg5(tb_type, unsigned int, unsigned int, long, byte));
extern	int 	tb_strlen(_arg5(tb_type, unsigned int, unsigned int, unsigned int, int*));
extern void		box_sort(_arg3(ocbox*, mcbox*, int));	/* mode = BOXSORT_ROW, BOXSORT_COL */

/*** Macros ***/

#define tb_SetLineLen(tb)	tb_FindLine((tb), (int)tb_GetRow(tb))

#define tb_translate(tb, pos, char_p) \
	( (*(char_p) == '\t') ? tb->tab_size - (pos % tb->tab_size) : 1 )

#define tb_GetCol(tb)	( (tb)->col )

#define WRAP_CUTOFF		3
#define DEF_COLOR 		0x00
#define TB_COLOR		0
#define TB_SAMECOLOR	1
#define TB_BSIZE		500
#define TB_ASIZE		200

#define BOXSORT_ROW 	0
#define BOXSORT_COL  	1

#define TB_ALL			0
#define TB_LEN			1
